Journals

Update journal

PUT
/journals/{id}.json

Update the notes of a journal. Setting empty notes on a journal without details deletes the journal.

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Request Body

application/json
  1. body
journal*

Journal update payload. All properties are optional.

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X PUT 'https://redmine.example.com/journals/0.json' \  -H 'Content-Type: application/json' \  -d '{  "journal": {}}'
Empty